summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2019-05-27 22:18:19 +0100
committerJames Le Cuirot <chewi@gentoo.org>2019-05-27 22:18:19 +0100
commit1739782a1da3558caf00d3ddecdc8e8cfb75af14 (patch)
treeed07afb01b9bdd4f93199994e930550c46883b5d /www-apps
parentnet-libs/http-parser: arm64 stable (diff)
downloadgentoo-1739782a1da3558caf00d3ddecdc8e8cfb75af14.tar.gz
gentoo-1739782a1da3558caf00d3ddecdc8e8cfb75af14.tar.bz2
gentoo-1739782a1da3558caf00d3ddecdc8e8cfb75af14.zip
www-apps/tt-rss: Version bump to 20190523, EAPI 7
This is just an arbitrary snapshot, it seems to work. Package-Manager: Portage-2.3.67, Repoman-2.3.13 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/tt-rss/Manifest1
-rw-r--r--www-apps/tt-rss/tt-rss-20190523.ebuild84
-rw-r--r--www-apps/tt-rss/tt-rss-99999999.ebuild2
3 files changed, 86 insertions, 1 deletions
diff --git a/www-apps/tt-rss/Manifest b/www-apps/tt-rss/Manifest
index 1f555aa5e71..3e143ce47d7 100644
--- a/www-apps/tt-rss/Manifest
+++ b/www-apps/tt-rss/Manifest
@@ -1 +1,2 @@
DIST tt-rss-20180105.tar.gz 3070929 BLAKE2B 2370104c70f5381d690a29b216269c749bf1f7c6b925eb9499b741e5df3e686d95fce430a144946fd915414481280b67e6d0c881edcdd13aee0fa344dc0bec3f SHA512 86ceec3646629ad7fd3fde2f3c3237e48ad96bd08b46e73c34c76507d9b17613ea309e1bd5e6e85a0d9eb96029e54b54e5ee367c56aab31be3dcec9169c5ada5
+DIST tt-rss-20190523.tar.gz 3336985 BLAKE2B 9f37c676b6ca263b09685ae66c4183b4b1fed2e37c2fb361aeeb15f877916967ebdb272fb60ce554c8a7596f74de7713ca2ff6c70bf1ae8a669da2bd702607e9 SHA512 22fbed0199503ecf3728ed4c2e199bbd9fc617b83ec3a09d80352512460ab9cf46abfe840143e62c747743975d2e5b9c9ce0bfb8498b8c6187ae567552a49213
diff --git a/www-apps/tt-rss/tt-rss-20190523.ebuild b/www-apps/tt-rss/tt-rss-20190523.ebuild
new file mode 100644
index 00000000000..fbfb5e9a933
--- /dev/null
+++ b/www-apps/tt-rss/tt-rss-20190523.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit prefix user webapp
+
+COMMIT="4a2836ea90c4c471029d189a8c9fe5ec10a9521b"
+DESCRIPTION="Tiny Tiny RSS - A web-based news feed (RSS/Atom) aggregator using AJAX"
+HOMEPAGE="https://tt-rss.org/"
+SRC_URI="https://git.tt-rss.org/git/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+LICENSE="GPL-3"
+KEYWORDS="~amd64 ~arm ~mips ~x86"
+IUSE="+acl daemon +mysqli postgres"
+REQUIRED_USE="|| ( mysqli postgres )"
+
+DEPEND="daemon? ( acl? ( sys-apps/acl ) )"
+
+RDEPEND="${DEPEND}
+ daemon? ( dev-lang/php:*[mysqli?,postgres?,curl,cli,intl,pcntl,pdo] )
+ !daemon? ( dev-lang/php:*[mysqli?,postgres?,curl,intl,pdo] )
+ virtual/httpd-php:*"
+
+DEPEND="!vhosts? ( ${DEPEND} )"
+
+need_httpd_cgi # From webapp.eclass
+
+S="${WORKDIR}/${PN}"
+
+pkg_setup() {
+ webapp_pkg_setup
+
+ if use daemon; then
+ enewgroup ttrssd
+ enewuser ttrssd -1 /bin/sh /dev/null ttrssd
+ fi
+}
+
+src_configure() {
+ hprefixify config.php-dist
+
+ sed -i -r \
+ -e "/'DB_TYPE'/s:,.*:, '$(usex mysqli mysql pgsql)'); // mysql or pgsql:" \
+ -e "/'CHECK_FOR_UPDATES'/s/true/false/" \
+ config.php-dist || die
+}
+
+src_install() {
+ webapp_src_preinst
+
+ insinto "${MY_HTDOCSDIR}"
+ doins -r *
+
+ # When updating, grep the plugins directory for additional CACHE_DIR
+ # instances as they cannot be created later due to permissions.
+ dodir "${MY_HTDOCSDIR}"/cache/starred-images
+
+ local dir
+ for dir in "${ED}${MY_HTDOCSDIR}"/{cache/*,feed-icons,lock}/; do
+ webapp_serverowned "${dir#${ED}}"
+ done
+
+ if use daemon; then
+ webapp_hook_script "${FILESDIR}"/permissions
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en-with-daemon-r1.txt
+
+ newinitd "${FILESDIR}"/ttrssd.initd-r3 ttrssd
+ newconfd "${FILESDIR}"/ttrssd.confd-r2 ttrssd
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/ttrssd.logrotated-r1 ttrssd
+
+ elog "After upgrading, please restart ttrssd."
+ else
+ webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+ fi
+
+ webapp_src_install
+}
+
+pkg_postinst() {
+ elog "You need to merge config.php-dist into config.php manually when upgrading."
+ webapp_pkg_postinst
+}
diff --git a/www-apps/tt-rss/tt-rss-99999999.ebuild b/www-apps/tt-rss/tt-rss-99999999.ebuild
index 1f943ca2154..1f6d41d337b 100644
--- a/www-apps/tt-rss/tt-rss-99999999.ebuild
+++ b/www-apps/tt-rss/tt-rss-99999999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit git-r3 prefix user webapp